Change a public link
View as MarkdownPATCH
/v1/share-links/{shareLinkId}Set expiresAt or password to null to remove them.
curl -X PATCH "https://api.lydie.co/v1/share-links/01JCQ3V5MZ8G4ZK2X7T9R6N1PB" \
-H "Authorization: Bearer $LYDIE_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Path parameters
Body
- includeSubpagesboolean
Response
- documentIdstring
- tokenHintstring
- includeSubpagesboolean
- hasPasswordboolean
- createdAttimestamp
{
"id": "string",
"documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"tokenHint": "string",
"includeSubpages": false,
"expiresAt": null,
"hasPassword": false,
"createdBy": null,
"createdAt": "2026-11-12T09:30:00.000Z"
}Errors use one envelope for every endpoint. See Errors and versions.